      function  [hth, hty]  = mlsinit(numparm)
%
%         Initialize Mean Least Squares storage vectors
%
%    [hth, hty]  = mlsinit(numparm)
%    
%    input:
%         numparm   number of parameters. data calls need
%                   to have partials row vectors this lenght
%                   i.e.  rows of the H matrix
%    output:
%         hth  current value of h'h -- pass into next call
%         hty    "       "      h'y --  "        "
%
%         part of 3 routines for  mls   mlsinit - initialize
%                                       mlsdata - add one measurement
%                                       mlsans  - compute estimates and P
%         ----------------------------------------------------------
%
     hty  =  zeros([numparm,1]);
     hth  =  zeros( numparm );
%
     return;
