   function  snc = sinc ( x )
%
%     sinc   =  sin(pi*x) / (pi*x)
%            =  1 for x=1
%
      arg      = pi * x;
      ixz      = find( abs(arg) <1.0E-6 );
      arg(ixz) = pi;
%
      snc      =  sin(arg)./arg;
      snc(ixz) =  1.0;
%
      return
