     function      p=normdist(x,sigma)
%
%         zero biased normal distribution
%
%    x     = value independent variable
%    sigma = standard deviation
%
%    output is the probablity density at x
%
     scale = sigma*sqrt(2.0*pi);
     arg   = -0.5*(x/sigma).^2;
     p     =  exp(arg)/scale;
%
     return
     end
